{ inputs, pkgs, ... }: {
  programs.hyprland = {
    enable = true;
    xwayland = {
      enable = true;
      hidpi = true;
    };
  };

  environment.systemPackages = with pkgs; [
    xdg-desktop-portal-hyprland
#    hyprland-protocols
 #   xdg-desktop-portal
 #   xdg-desktop-portal-gtk

    rofi-wayland # launcher
    wl-clipboard # wayland clipboard support
    swaylock-effects # screenlocker
    swayidle # idle daemon (screen time out)
    hyprpaper # Wallpaper daemon
  ];

  security.pam.services.swaylock = { };

  services.xserver = {
    enable = true;
    excludePackages = [ pkgs.xterm ];
  };
}
